artdaq - Bug #7062

Allow small values for the number of events in a subrun
09/23/2014 01:50 PM - Kurt Biery

Status: Closed Start date: 09/23/2014
Priority: Normal Due date: 09/26/2014
Assignee: Kurt Biery % Done: 80%
Category: Estimated time: 2.00 hours
Target version: vl 12 083

Experiment: - Co-Assignees:

Description

If we specify a small number of events in a given subrun (e.g. 1), the current logic in AggregatorCore prevents files from having fewer
than 50 events (and having a shorter duration than 30 seconds). We need to fix this so that we only get one event per file when that
is requested. This is particularly needed for LArIAT.

The original intent of the event count and time interval thresholds before testing the requested number of events, subrun duration, or
file size in AggregatorCore was to prevent those tests from negatively impacting performance. We should be able to modify the logic
so that the inexpensive tests are done every event but more time-consuming tests are only done periodically.

History

#1 - 09/23/2014 01:50 PM - Kurt Biery
- Status changed from New to Assigned

- Assignee set to Kurt Biery

#2 - 09/23/2014 02:16 PM - Kurt Biery

- Status changed from Assigned to Resolved

- Target version changed from v1_12_02to vi_12_03
- % Done changed from 0 to 80

I modified the tests in AggregatorCore to only use the only-every-N-events requirement and 30-second threshold for the file size test. The event
count and subrun duration tests are done every event.

#3 - 04/15/2015 12:37 PM - Kurt Biery

- Status changed from Resolved to Closed
